GoodMemGoodMem
ReferenceSdkRustTypes

UpdateSpaceRequest

Rust struct goodmem::models::UpdateSpaceRequest: declaration, fields or variants, and implementations.

All types

Struct UpdateSpaceRequest

goodmem::models::UpdateSpaceRequest

Request parameters for updating a space.

pub struct UpdateSpaceRequest {
    pub name: Option<String>,
    pub replace_labels: Option<BTreeMap<String, String>>,
    pub merge_labels: Option<BTreeMap<String, String>>,
}

Fields

name

pub name: Option<String>

The new name for the space. Wire name: name.

replace_labels

pub replace_labels: Option<BTreeMap<String, String>>

Labels to replace all existing labels. Mutually exclusive with mergeLabels. Wire name: replaceLabels.

merge_labels

pub merge_labels: Option<BTreeMap<String, String>>

Labels to merge with existing labels. Mutually exclusive with replaceLabels. Wire name: mergeLabels.

Implementations

validate

pub fn validate(&self) -> crate::Result<()>

Validate the request before sending, without making an HTTP call.

Trait implementations

  • Clone (derived)
  • Default (derived)
  • PartialEq (derived)
  • Serialize (derived)
  • impl<'de> Deserialize<'de> for UpdateSpaceRequest
  • impl std::fmt::Debug for UpdateSpaceRequest

On this page